Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Initial Update #69

Merged
merged 30 commits into from Sep 2, 2020
Merged

Initial Update #69

merged 30 commits into from Sep 2, 2020

Conversation

@pyup-bot
Copy link
Contributor

@pyup-bot pyup-bot commented Sep 2, 2020

This PR sets up pyup.io on this repo and updates all dependencies at once, in a single branch.

Subsequent pull requests will update one dependency at a time, each in their own branch. If you want to start with that right away, simply close this PR.

Update attrs from 19.3.0 to 20.1.0.

Changelog

20.1.0

-------------------

Backward-incompatible Changes
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

- Python 3.4 is not supported anymore.
It has been unsupported by the Python core team for a while now, its PyPI downloads are negligible, and our CI provider removed it as a supported option.

It's very unlikely that ``attrs`` will break under 3.4 anytime soon, which is why we do *not* block its installation on Python 3.4.
But we don't test it anymore and will block it once someone reports breakage.
`608 <https://github.com/python-attrs/attrs/issues/608>`_


Deprecations
^^^^^^^^^^^^

- Less of a deprecation and more of a heads up: the next release of ``attrs`` will introduce an ``attrs`` namespace.
That means that you'll finally be able to run ``import attrs`` with new functions that aren't cute abbreviations and that will carry better defaults.

This should not break any of your code, because project-local packages have priority before installed ones.
If this is a problem for you for some reason, please report it to our bug tracker and we'll figure something out.

The old ``attr`` namespace isn't going anywhere and its defaults are not changing – this is a purely additive measure.
Please check out the linked issue for more details.

These new APIs have been added *provisionally* as part of 666 so you can try them out today and provide feedback.
Learn more in the `API docs <https://www.attrs.org/en/stable/api.htmlprovisional-apis>`_.
`408 <https://github.com/python-attrs/attrs/issues/408>`_


Changes
^^^^^^^

- Added ``attr.resolve_types()``.
It ensures that all forward-references and types in string form are resolved into concrete types.

You need this only if you need concrete types at runtime.
That means that if you only use types for static type checking, you do **not** need this function.
`288 <https://github.com/python-attrs/attrs/issues/288>`_,
`302 <https://github.com/python-attrs/attrs/issues/302>`_
- Added ``attr.s(collect_by_mro=False)`` argument that if set to ``True`` fixes the collection of attributes from base classes.

It's only necessary for certain cases of multiple-inheritance but is kept off for now for backward-compatibility reasons.
It will be turned on by default in the future.

As a side-effect, ``attr.Attribute`` now *always* has an ``inherited`` attribute indicating whether an attribute on a class was directly defined or inherited.
`428 <https://github.com/python-attrs/attrs/issues/428>`_,
`635 <https://github.com/python-attrs/attrs/issues/635>`_
- On Python 3, all generated methods now have a docstring explaining that they have been created by ``attrs``.
`506 <https://github.com/python-attrs/attrs/issues/506>`_
- It is now possible to prevent ``attrs`` from auto-generating the ``__setstate__`` and ``__getstate__`` methods that are required for pickling of slotted classes.

Either pass ``attr.s(getstate_setstate=False)`` or pass ``attr.s(auto_detect=True)`` and implement them yourself:
if ``attrs`` finds either of the two methods directly on the decorated class, it assumes implicitly ``getstate_setstate=False`` (and implements neither).

This option works with dict classes but should never be necessary.
`512 <https://github.com/python-attrs/attrs/issues/512>`_,
`513 <https://github.com/python-attrs/attrs/issues/513>`_,
`642 <https://github.com/python-attrs/attrs/issues/642>`_
- Fixed a ``ValueError: Cell is empty`` bug that could happen in some rare edge cases.
`590 <https://github.com/python-attrs/attrs/issues/590>`_
- ``attrs`` can now automatically detect your own implementations and infer ``init=False``, ``repr=False``, ``eq=False``, ``order=False``, and ``hash=False`` if you set ``attr.s(auto_detect=True)``.
``attrs`` will ignore inherited methods.
If the argument implies more than one method (e.g. ``eq=True`` creates both ``__eq__`` and ``__ne__``), it's enough for *one* of them to exist and ``attrs`` will create *neither*.

This feature requires Python 3.
`607 <https://github.com/python-attrs/attrs/issues/607>`_
- Added ``attr.converters.pipe()``.
The feature allows combining multiple conversion callbacks into one by piping the value through all of them, and retuning the last result.

As part of this feature, we had to relax the type information for converter callables.
`618 <https://github.com/python-attrs/attrs/issues/618>`_
- Fixed serialization behavior of non-slots classes with ``cache_hash=True``.
The hash cache will be cleared on operations which make "deep copies" of instances of classes with hash caching,
though the cache will not be cleared with shallow copies like those made by ``copy.copy()``.

Previously, ``copy.deepcopy()`` or serialization and deserialization with ``pickle`` would result in an un-initialized object.

This change also allows the creation of ``cache_hash=True`` classes with a custom ``__setstate__``,
which was previously forbidden (`494 <https://github.com/python-attrs/attrs/issues/494>`_).
`620 <https://github.com/python-attrs/attrs/issues/620>`_
- It is now possible to specify hooks that are called whenever an attribute is set **after** a class has been instantiated.

You can pass ``on_setattr`` both to ``attr.s()`` to set the default for all attributes on a class, and to ``attr.ib()`` to overwrite it for individual attributes.

``attrs`` also comes with a new module ``attr.setters`` that brings helpers that run validators, converters, or allow to freeze a subset of attributes.
`645 <https://github.com/python-attrs/attrs/issues/645>`_,
`660 <https://github.com/python-attrs/attrs/issues/660>`_
- **Provisional** APIs called ``attr.define()``, ``attr.mutable()``, and ``attr.frozen()`` have been added.

They are only available on Python 3.6 and later, and call ``attr.s()`` with different default values.

If nothing comes up, they will become the official way for creating classes in 20.2.0 (see above).

**Please note** that it may take some time until mypy – and other tools that have dedicated support for ``attrs`` – recognize these new APIs.
Please **do not** open issues on our bug tracker, there is nothing we can do about it.
`666 <https://github.com/python-attrs/attrs/issues/666>`_
- We have also provisionally added ``attr.field()`` that supplants ``attr.ib()``.
It also requires at least Python 3.6 and is keyword-only.
Other than that, it only dropped a few arguments, but changed no defaults.

As with ``attr.s()``: ``attr.ib()`` is not going anywhere.
`669 <https://github.com/python-attrs/attrs/issues/669>`_


----
Links

Update certifi from 2020.4.5.1 to 2020.6.20.

The bot wasn't able to find a changelog for this release. Got an idea?

Links

Update click from 7.1.1 to 7.1.2.

The bot wasn't able to find a changelog for this release. Got an idea?

Links

Update humanfriendly from 8.1 to 8.2.

Changelog

8.2

---------------------------

Added a simple case insensitive dictionary implementation, for details refer to
the new :mod:`humanfriendly.case` module.

.. _Release 8.2: https://github.com/xolox/python-humanfriendly/compare/8.1...8.2
Links

Update idna from 2.9 to 2.10.

Changelog

2.10

+++++++++++++++++

- Update to Unicode 13.0.0.
- Throws a more specific exception if "xn--" is provided as a label.
- This is expected to be the last version that supports Python 2.
Links

Update multidict from 4.7.5 to 4.7.6.

Changelog

4.7.6

==================

Bugfixes
--------

- Fixed an issue with some versions of the ``wheel`` dist
failing because of being unable to detect the license file.
`481 <https://github.com/aio-libs/multidict/issues/481>`_


----
Links

Update requests from 2.23.0 to 2.24.0.

Changelog

2.24.0

-------------------

**Improvements**

- pyOpenSSL TLS implementation is now only used if Python
either doesn't have an `ssl` module or doesn't support
SNI. Previously pyOpenSSL was unconditionally used if available.
This applies even if pyOpenSSL is installed via the
`requests[security]` extra (5443)

- Redirect resolution should now only occur when
`allow_redirects` is True. (5492)

- No longer perform unnecessary Content-Length calculation for
requests that won't use it. (5496)
Links

Update six from 1.14.0 to 1.15.0.

Changelog

1.15.0

------

- Pull request 331: Optimize `six.ensure_str` and `six.ensure_binary`.
Links

Update tinydb from 3.15.2 to 4.1.1.

Changelog

4.1.1

^^^^^^^^^^^^^^^^^^^

- Fix: Don't install dev-dependencies when installing from PyPI (see
`issue 315 <https://github.com/msiemens/tinydb/issues/315>`_)

4.1.0

^^^^^^^^^^^^^^^^^^^

- Feature: Add a no-op query ``Query().noop()`` (see
`issue 313 <https://github.com/msiemens/tinydb/issues/313>`_)
- Feature: Add a ``access_mode`` flag to ``JSONStorage`` to allow opening
files read-only (see `issue 297 <https://github.com/msiemens/tinydb/issues/297>`_)
- Fix: Don't dropping the first document that's being inserted when inserting
data on an existing database (see `issue 314
<https://github.com/msiemens/tinydb/issues/314>`_)

4.0.0

^^^^^^^^^^^^^^^^^^^

:ref:`Upgrade Notes <upgrade_v4_0>`

Breaking Changes
----------------

- Python 2 support has been removed, see `issue 284
<https://github.com/msiemens/tinydb/issues/284>`_
for background
- API changes:
 - Removed classes: ``DataProxy``, ``StorageProxy``
 - Attributes removed from ``TinyDB``: ``DEFAULT_TABLE``,
   ``DEFAULT_TABLE_KWARGS``, ``DEFAULT_STORAGE``, removed in favor of
   customizing ``TinyDB``'s behavior by subclassing it and overloading
   ``__init__(...)`` and ``table(...)``
 - ``TinyDB.contains(...)``'s ``doc_ids`` parameter has been renamed to
   ``doc_id`` and now only takes a single document ID
 - ``TinyDB.purge_tables(...)`` has been renamed to ``TinyDB.drop_tables(...)``
 - ``TinyDB.purge_table(...)`` has been renamed to ``TinyDB.drop_table(...)``
 - ``TinyDB.process_elements(...)`` has been removed
 - ``Table.purge()`` has been renamed to ``Table.trunacte()``
 - Evaluating an empty ``Query()`` without any test operators will now result
   in an exception, use ``Query().noop()`` (introduced in v4.1.0) instead
- ``ujson`` support has been removed, see `issue 263
<https://github.com/msiemens/tinydb/issues/263>`_ and `issue 306
<https://github.com/msiemens/tinydb/issues/306>`_ for background
- The deprecated Element ID API has been removed (e.g. using the ``Element``
class or ``eids`` parameter) in favor the Document API, see
`pull request 158 <https://github.com/msiemens/tinydb/pull/158>`_ for details
on the replacement

Improvements
------------

- TinyDB's internal architecture has been reworked to be more simple and
streamlined in order to make it easier to customize TinyDB's behavior
- With the new architecture, TinyDB performance will improve for many
applications

Bugfixes
--------

- Don't break the tests when ``ujson`` is installed (see `issue 262
<https://github.com/msiemens/tinydb/issues/262>`_)
- Fix performance when reading data (see `issue 250
<https://github.com/msiemens/tinydb/issues/250>`_)
- Fix inconsistent purge function names (see `issue 103
<https://github.com/msiemens/tinydb/issues/103>`_)
Links

Update urllib3 from 1.25.8 to 1.25.10.

Changelog

1.25.9

-------------------

* Added ``InvalidProxyConfigurationWarning`` which is raised when
erroneously specifying an HTTPS proxy URL. urllib3 doesn't currently
support connecting to HTTPS proxies but will soon be able to
and we would like users to migrate properly without much breakage.

See `this GitHub issue <https://github.com/urllib3/urllib3/issues/1850>`_
for more information on how to fix your proxy config. (Pull 1851)

* Drain connection after ``PoolManager`` redirect (Pull 1817)

* Ensure ``load_verify_locations`` raises ``SSLError`` for all backends (Pull 1812)

* Rename ``VerifiedHTTPSConnection`` to ``HTTPSConnection`` (Pull 1805)

* Allow the CA certificate data to be passed as a string (Pull 1804)

* Raise ``ValueError`` if method contains control characters (Pull 1800)

* Add ``__repr__`` to ``Timeout`` (Pull 1795)
Links

Update yarl from 1.4.2 to 1.5.1.

Changelog

1.5.0

==================

Features
--------

- Convert host to lowercase on URL building.
`386 <https://github.com/aio-libs/yarl/issues/386>`_
- Allow using ``mod`` operator (`%`) for updating query string (an alias for ``update_query()`` method).
`435 <https://github.com/aio-libs/yarl/issues/435>`_
- Allow use of sequences such as ``list`` and ``tuple`` in the values
of a mapping such as ``dict`` to represent that a key has many values::

   url = URL("http://example.com")
   assert url.with_query({"a": [1, 2]}) == URL("http://example.com/?a=1&a=2")

`443 <https://github.com/aio-libs/yarl/issues/443>`_
- Support URL.build() with scheme and path (creates a relative URL).
`464 <https://github.com/aio-libs/yarl/issues/464>`_
- Cache slow IDNA encode/decode calls.
`476 <https://github.com/aio-libs/yarl/issues/476>`_
- Add ``final`` / ``Final`` type hints
`477 <https://github.com/aio-libs/yarl/issues/477>`_
- Support URL authority/raw_authority properties and authority argument of ``URL.build()`` method.
`478 <https://github.com/aio-libs/yarl/issues/478>`_
- Hide the library implementation details, make the exposed public list very clean.
`483 <https://github.com/aio-libs/yarl/issues/483>`_


Bugfixes
--------

- Fix tests with newer Python (3.7.6, 3.8.1 and 3.9.0+).
`409 <https://github.com/aio-libs/yarl/issues/409>`_
- Fix a bug where query component, passed in a form of mapping or sequence, is unquoted in unexpected way.
`426 <https://github.com/aio-libs/yarl/issues/426>`_
- Hide `Query` and `QueryVariable` type aliases in `__init__.pyi`, now they are prefixed with underscore.
`431 <https://github.com/aio-libs/yarl/issues/431>`_
- Keep ipv6 brackets after updating port/user/password.
`451 <https://github.com/aio-libs/yarl/issues/451>`_


----
Links

Update aioauth-client from 0.20.3 to 0.21.0.

The bot wasn't able to find a changelog for this release. Got an idea?

Links

Update boto3 from 1.12.39 to 1.14.53.

Changelog

1.14.53

=======

* api-change:``codeguru-reviewer``: [``botocore``] Update codeguru-reviewer client to latest version
* api-change:``securityhub``: [``botocore``] Update securityhub client to latest version

1.14.52

=======

* api-change:``sqs``: [``botocore``] Update sqs client to latest version
* api-change:``backup``: [``botocore``] Update backup client to latest version
* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.14.51

=======

* api-change:``cur``: [``botocore``] Update cur client to latest version
* api-change:``route53``: [``botocore``] Update route53 client to latest version
* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
* api-change:``emr``: [``botocore``] Update emr client to latest version

1.14.50

=======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``redshift``: [``botocore``] Update redshift client to latest version
* api-change:``gamelift``: [``botocore``] Update gamelift client to latest version
* api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version

1.14.49

=======

* api-change:``appflow``: [``botocore``] Update appflow client to latest version
* api-change:``route53resolver``: [``botocore``] Update route53resolver client to latest version

1.14.48

=======

* api-change:``iotsitewise``: [``botocore``] Update iotsitewise client to latest version
* api-change:``xray``: [``botocore``] Update xray client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``logs``: [``botocore``] Update logs client to latest version
* api-change:``dms``: [``botocore``] Update dms client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``kafka``: [``botocore``] Update kafka client to latest version

1.14.47

=======

* api-change:``chime``: [``botocore``] Update chime client to latest version
* api-change:``fsx``: [``botocore``] Update fsx client to latest version
* api-change:``apigatewayv2``: [``botocore``] Update apigatewayv2 client to latest version

1.14.46

=======

* api-change:``lakeformation``: [``botocore``] Update lakeformation client to latest version
* api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
* api-change:``ivs``: [``botocore``] Update ivs client to latest version
* api-change:``organizations``: [``botocore``] Update organizations client to latest version
* api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version

1.14.45

=======

* api-change:``identitystore``: [``botocore``] Update identitystore client to latest version
* api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
* api-change:``cognito-idp``: [``botocore``] Update cognito-idp client to latest version
* api-change:``datasync``: [``botocore``] Update datasync client to latest version
* api-change:``sesv2``: [``botocore``] Update sesv2 client to latest version
* api-change:``securityhub``: [``botocore``] Update securityhub client to latest version

1.14.44

=======

* api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version
* api-change:``quicksight``: [``botocore``] Update quicksight client to latest version
* api-change:``kinesis``: [``botocore``] Update kinesis client to latest version
* api-change:``ecr``: [``botocore``] Update ecr client to latest version
* api-change:``acm``: [``botocore``] Update acm client to latest version
* api-change:``robomaker``: [``botocore``] Update robomaker client to latest version
* api-change:``elb``: [``botocore``] Update elb client to latest version
* api-change:``acm-pca``: [``botocore``] Update acm-pca client to latest version

1.14.43

=======

* api-change:``braket``: [``botocore``] Update braket client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``license-manager``: [``botocore``] Update license-manager client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``appstream``: [``botocore``] Update appstream client to latest version

1.14.42

=======

* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``eks``: [``botocore``] Update eks client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``macie2``: [``botocore``] Update macie2 client to latest version
* api-change:``cognito-idp``: [``botocore``] Update cognito-idp client to latest version
* api-change:``appsync``: [``botocore``] Update appsync client to latest version
* api-change:``braket``: [``botocore``] Update braket client to latest version

1.14.41

=======

* api-change:``transfer``: [``botocore``] Update transfer client to latest version
* api-change:``comprehend``: [``botocore``] Update comprehend client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``fsx``: [``botocore``] Update fsx client to latest version
* api-change:``workspaces``: [``botocore``] Update workspaces client to latest version
* api-change:``lambda``: [``botocore``] Update lambda client to latest version
* api-change:``iot``: [``botocore``] Update iot client to latest version
* api-change:``cloud9``: [``botocore``] Update cloud9 client to latest version

1.14.40

=======

* api-change:``organizations``: [``botocore``] Update organizations client to latest version
* api-change:``s3``: [``botocore``] Update s3 client to latest version
* api-change:``lambda``: [``botocore``] Update lambda client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.14.39

=======

* api-change:``savingsplans``: [``botocore``] Update savingsplans client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.14.38

=======

* api-change:``sms``: [``botocore``] Update sms client to latest version
* api-change:``organizations``: [``botocore``] Update organizations client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``s3``: [``botocore``] Update s3 client to latest version

1.14.37

=======

* api-change:``lex-runtime``: [``botocore``] Update lex-runtime client to latest version
* api-change:``personalize``: [``botocore``] Update personalize client to latest version
* api-change:``personalize-runtime``: [``botocore``] Update personalize-runtime client to latest version
* api-change:``lex-models``: [``botocore``] Update lex-models client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``personalize-events``: [``botocore``] Update personalize-events client to latest version

1.14.36

=======

* api-change:``fsx``: [``botocore``] Update fsx client to latest version
* api-change:``appsync``: [``botocore``] Update appsync client to latest version
* api-change:``sns``: [``botocore``] Update sns client to latest version
* api-change:``resourcegroupstaggingapi``: [``botocore``] Update resourcegroupstaggingapi client to latest version
* api-change:``transcribe``: [``botocore``] Update transcribe client to latest version

1.14.35

=======

* api-change:``health``: [``botocore``] Update health client to latest version

1.14.34

=======

* api-change:``ssm``: [``botocore``] Update ssm client to latest version

1.14.33

=======

* api-change:``resourcegroupstaggingapi``: [``botocore``] Update resourcegroupstaggingapi client to latest version
* api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
* api-change:``wafv2``: [``botocore``] Update wafv2 client to latest version
* api-change:``chime``: [``botocore``] Update chime client to latest version
* api-change:``personalize-runtime``: [``botocore``] Update personalize-runtime client to latest version

1.14.32

=======

* api-change:``organizations``: [``botocore``] Update organizations client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
* api-change:``kafka``: [``botocore``] Update kafka client to latest version
* api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
* api-change:``resource-groups``: [``botocore``] Update resource-groups client to latest version
* api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
* api-change:``sesv2``: [``botocore``] Update sesv2 client to latest version

1.14.31

=======

* api-change:``resource-groups``: [``botocore``] Update resource-groups client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``firehose``: [``botocore``] Update firehose client to latest version
* api-change:``servicediscovery``: [``botocore``] Update servicediscovery client to latest version
* api-change:``ecr``: [``botocore``] Update ecr client to latest version
* api-change:``guardduty``: [``botocore``] Update guardduty client to latest version

1.14.30

=======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``autoscaling``: [``botocore``] Update autoscaling client to latest version
* api-change:``securityhub``: [``botocore``] Update securityhub client to latest version
* api-change:``ivs``: [``botocore``] Update ivs client to latest version
* api-change:``medialive``: [``botocore``] Update medialive client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``imagebuilder``: [``botocore``] Update imagebuilder client to latest version

1.14.29

=======

* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``datasync``: [``botocore``] Update datasync client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``frauddetector``: [``botocore``] Update frauddetector client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``dms``: [``botocore``] Update dms client to latest version

1.14.28

=======

* api-change:``mediaconnect``: [``botocore``] Update mediaconnect client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``kendra``: [``botocore``] Update kendra client to latest version
* api-change:``fsx``: [``botocore``] Update fsx client to latest version
* api-change:``frauddetector``: [``botocore``] Update frauddetector client to latest version
* api-change:``mediapackage``: [``botocore``] Update mediapackage client to latest version
* api-change:``macie2``: [``botocore``] Update macie2 client to latest version
* api-change:``cloudwatch``: [``botocore``] Update cloudwatch client to latest version
* api-change:``mq``: [``botocore``] Update mq client to latest version

1.14.27

=======

* api-change:``directconnect``: [``botocore``] Update directconnect client to latest version
* api-change:``config``: [``botocore``] Update config client to latest version
* api-change:``fsx``: [``botocore``] Update fsx client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``workspaces``: [``botocore``] Update workspaces client to latest version
* api-change:``lightsail``: [``botocore``] Update lightsail client to latest version

1.14.26

=======

* api-change:``quicksight``: [``botocore``] Update quicksight client to latest version
* api-change:``medialive``: [``botocore``] Update medialive client to latest version

1.14.25

=======

* api-change:``codeguruprofiler``: [``botocore``] Update codeguruprofiler client to latest version

1.14.24

=======

* api-change:``frauddetector``: [``botocore``] Update frauddetector client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
* api-change:``groundstation``: [``botocore``] Update groundstation client to latest version
* api-change:``fms``: [``botocore``] Update fms client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version

1.14.23

=======

* api-change:``connect``: [``botocore``] Update connect client to latest version
* api-change:``elasticbeanstalk``: [``botocore``] Update elasticbeanstalk client to latest version
* api-change:``appsync``: [``botocore``] Update appsync client to latest version
* api-change:``macie2``: [``botocore``] Update macie2 client to latest version
* api-change:``application-autoscaling``: [``botocore``] Update application-autoscaling client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.14.22

=======

* enhancement:examples: [``botocore``] Pull in latest examples from EFS.

1.14.21

=======

* api-change:``ivs``: [``botocore``] Update ivs client to latest version

1.14.20

=======

* api-change:``amplify``: [``botocore``] Update amplify client to latest version
* api-change:``wafv2``: [``botocore``] Update wafv2 client to latest version
* api-change:``ebs``: [``botocore``] Update ebs client to latest version
* api-change:``events``: [``botocore``] Update events client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``cloudhsmv2``: [``botocore``] Update cloudhsmv2 client to latest version
* api-change:``appmesh``: [``botocore``] Update appmesh client to latest version
* api-change:``alexaforbusiness``: [``botocore``] Update alexaforbusiness client to latest version
* api-change:``sns``: [``botocore``] Update sns client to latest version
* api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
* api-change:``comprehend``: [``botocore``] Update comprehend client to latest version

1.14.19

=======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``forecast``: [``botocore``] Update forecast client to latest version
* api-change:``ce``: [``botocore``] Update ce client to latest version
* api-change:``organizations``: [``botocore``] Update organizations client to latest version

1.14.18

=======

* api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``lakeformation``: [``botocore``] Update lakeformation client to latest version
* api-change:``efs``: [``botocore``] Update efs client to latest version
* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version

1.14.17

=======

* api-change:``quicksight``: [``botocore``] Update quicksight client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``iotsitewise``: [``botocore``] Update iotsitewise client to latest version

1.14.16

=======

* api-change:``elasticache``: [``botocore``] Update elasticache client to latest version
* api-change:``connect``: [``botocore``] Update connect client to latest version

1.14.15

=======

* api-change:``imagebuilder``: [``botocore``] Update imagebuilder client to latest version
* api-change:``appsync``: [``botocore``] Update appsync client to latest version
* api-change:``chime``: [``botocore``] Update chime client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``securityhub``: [``botocore``] Update securityhub client to latest version
* api-change:``codebuild``: [``botocore``] Update codebuild client to latest version

1.14.14

=======

* api-change:``ecr``: [``botocore``] Update ecr client to latest version
* api-change:``codeguru-reviewer``: [``botocore``] Update codeguru-reviewer client to latest version
* api-change:``comprehendmedical``: [``botocore``] Update comprehendmedical client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.14.13

=======

* api-change:``codestar-connections``: [``botocore``] Update codestar-connections client to latest version
* api-change:``codeguruprofiler``: [``botocore``] Update codeguruprofiler client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``autoscaling``: [``botocore``] Update autoscaling client to latest version

1.14.12

=======

* api-change:``quicksight``: [``botocore``] Update quicksight client to latest version
* api-change:``cognito-idp``: [``botocore``] Update cognito-idp client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``cloudformation``: [``botocore``] Update cloudformation client to latest version
* api-change:``dms``: [``botocore``] Update dms client to latest version

1.14.11

=======

* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.14.10

=======

* api-change:``iam``: [``botocore``] Update iam client to latest version
* api-change:``organizations``: [``botocore``] Update organizations client to latest version
* api-change:``backup``: [``botocore``] Update backup client to latest version
* api-change:``emr``: [``botocore``] Update emr client to latest version
* api-change:``fsx``: [``botocore``] Update fsx client to latest version
* api-change:``amplify``: [``botocore``] Update amplify client to latest version
* api-change:``codecommit``: [``botocore``] Update codecommit client to latest version
* api-change:``honeycode``: [``botocore``] Update honeycode client to latest version
* api-change:``autoscaling``: [``botocore``] Update autoscaling client to latest version

1.14.9

======

* api-change:``mediatailor``: [``botocore``] Update mediatailor client to latest version
* api-change:``organizations``: [``botocore``] Update organizations client to latest version

1.14.8

======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``emr``: [``botocore``] Update emr client to latest version
* api-change:``rekognition``: [``botocore``] Update rekognition client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``sqs``: [``botocore``] Update sqs client to latest version

1.14.7

======

* api-change:``elasticache``: [``botocore``] Update elasticache client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``opsworkscm``: [``botocore``] Update opsworkscm client to latest version
* api-change:``medialive``: [``botocore``] Update medialive client to latest version

1.14.6

======

* api-change:``support``: [``botocore``] Update support client to latest version
* api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version
* api-change:``meteringmarketplace``: [``botocore``] Update meteringmarketplace client to latest version
* api-change:``route53``: [``botocore``] Update route53 client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``sesv2``: [``botocore``] Update sesv2 client to latest version

1.14.5

======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``snowball``: [``botocore``] Update snowball client to latest version
* api-change:``appmesh``: [``botocore``] Update appmesh client to latest version
* api-change:``route53``: [``botocore``] Update route53 client to latest version
* api-change:``macie2``: [``botocore``] Update macie2 client to latest version

1.14.4

======

* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
* api-change:``dataexchange``: [``botocore``] Update dataexchange client to latest version
* api-change:``qldb``: [``botocore``] Update qldb client to latest version
* api-change:``autoscaling``: [``botocore``] Update autoscaling client to latest version
* api-change:``lambda``: [``botocore``] Update lambda client to latest version
* api-change:``polly``: [``botocore``] Update polly client to latest version

1.14.3

======

* api-change:``chime``: [``botocore``] Update chime client to latest version
* api-change:``appconfig``: [``botocore``] Update appconfig client to latest version
* api-change:``alexaforbusiness``: [``botocore``] Update alexaforbusiness client to latest version
* api-change:``cognito-idp``: [``botocore``] Update cognito-idp client to latest version
* api-change:``iot``: [``botocore``] Update iot client to latest version

1.14.2

======

* api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``cloudformation``: [``botocore``] Update cloudformation client to latest version
* api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version

1.14.1

======

* api-change:``lex-models``: [``botocore``] Update lex-models client to latest version
* api-change:``imagebuilder``: [``botocore``] Update imagebuilder client to latest version
* api-change:``iot-data``: [``botocore``] Update iot-data client to latest version
* api-change:``ecs``: [``botocore``] Update ecs client to latest version

1.14.0

======

* api-change:``macie2``: [``botocore``] Update macie2 client to latest version
* api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
* api-change:``codeartifact``: [``botocore``] Update codeartifact client to latest version
* api-change:``compute-optimizer``: [``botocore``] Update compute-optimizer client to latest version
* api-change:``shield``: [``botocore``] Update shield client to latest version
* api-change:``lightsail``: [``botocore``] Update lightsail client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``appconfig``: [``botocore``] Update appconfig client to latest version
* feature:SSO: [``botocore``] Added support for the SSO credential provider. This allows the SDK to retrieve temporary AWS credentials from a profile configured to use SSO credentials.
* api-change:``dlm``: [``botocore``] Update dlm client to latest version

1.13.26

=======

* api-change:``transfer``: [``botocore``] Update transfer client to latest version

1.13.25

=======

* api-change:``shield``: [``botocore``] Update shield client to latest version
* api-change:``servicediscovery``: [``botocore``] Update servicediscovery client to latest version

1.13.24

=======

* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
* api-change:``pinpoint``: [``botocore``] Update pinpoint client to latest version
* api-change:``personalize-runtime``: [``botocore``] Update personalize-runtime client to latest version
* api-change:``sagemaker-runtime``: [``botocore``] Update sagemaker-runtime client to latest version
* api-change:``elasticbeanstalk``: [``botocore``] Update elasticbeanstalk client to latest version
* api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
* api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
* api-change:``personalize``: [``botocore``] Update personalize client to latest version

1.13.23

=======

* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``lightsail``: [``botocore``] Update lightsail client to latest version
* api-change:``meteringmarketplace``: [``botocore``] Update meteringmarketplace client to latest version
* api-change:``mediapackage-vod``: [``botocore``] Update mediapackage-vod client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.13.22

=======

* api-change:``elasticache``: [``botocore``] Update elasticache client to latest version
* api-change:``iam``: [``botocore``] Update iam client to latest version
* api-change:``directconnect``: [``botocore``] Update directconnect client to latest version
* api-change:``es``: [``botocore``] Update es client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version

1.13.21

=======

* api-change:``guardduty``: [``botocore``] Update guardduty client to latest version

1.13.20

=======

* api-change:``fsx``: [``botocore``] Update fsx client to latest version
* api-change:``kms``: [``botocore``] Update kms client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``athena``: [``botocore``] Update athena client to latest version
* api-change:``worklink``: [``botocore``] Update worklink client to latest version
* api-change:``emr``: [``botocore``] Update emr client to latest version

1.13.19

=======

* api-change:``marketplace-catalog``: [``botocore``] Update marketplace-catalog client to latest version
* api-change:``kafka``: [``botocore``] Update kafka client to latest version
* api-change:``qldb-session``: [``botocore``] Update qldb-session client to latest version
* api-change:``workmail``: [``botocore``] Update workmail client to latest version

1.13.18

=======

* api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
* api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version

1.13.17

=======

* api-change:``elasticache``: [``botocore``] Update elasticache client to latest version
* api-change:``dlm``: [``botocore``] Update dlm client to latest version
* api-change:``quicksight``: [``botocore``] Update quicksight client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``macie``: [``botocore``] Update macie client to latest version

1.13.16

=======

* api-change:``autoscaling``: [``botocore``] Update autoscaling client to latest version
* api-change:``iotsitewise``: [``botocore``] Update iotsitewise client to latest version

1.13.15

=======

* api-change:``synthetics``: [``botocore``] Update synthetics client to latest version
* api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
* api-change:``s3``: [``botocore``] Update s3 client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.13.14

=======

* api-change:``backup``: [``botocore``] Update backup client to latest version
* api-change:``codedeploy``: [``botocore``] Update codedeploy client to latest version
* api-change:``securityhub``: [``botocore``] Update securityhub client to latest version
* api-change:``chime``: [``botocore``] Update chime client to latest version
* api-change:``medialive``: [``botocore``] Update medialive client to latest version
* api-change:``application-autoscaling``: [``botocore``] Update application-autoscaling client to latest version
* api-change:``appmesh``: [``botocore``] Update appmesh client to latest version

1.13.13

=======

* api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``health``: [``botocore``] Update health client to latest version
* api-change:``chime``: [``botocore``] Update chime client to latest version

1.13.12

=======

* api-change:``chime``: [``botocore``] Update chime client to latest version
* api-change:``qldb``: [``botocore``] Update qldb client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``ecs``: [``botocore``] Update ecs client to latest version
* api-change:``dynamodb``: [``botocore``] Update dynamodb client to latest version
* api-change:``macie2``: [``botocore``] Update macie2 client to latest version

1.13.11

=======

* api-change:``sts``: [``botocore``] Update sts client to latest version
* api-change:``ecr``: [``botocore``] Update ecr client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``cloudformation``: [``botocore``] Update cloudformation client to latest version

1.13.10

=======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``imagebuilder``: [``botocore``] Update imagebuilder client to latest version

1.13.9

======

* api-change:``elasticache``: [``botocore``] Update elasticache client to latest version
* api-change:``macie2``: [``botocore``] Update macie2 client to latest version

1.13.8

======

* api-change:``workmail``: [``botocore``] Update workmail client to latest version
* api-change:``iotsitewise``: [``botocore``] Update iotsitewise client to latest version
* enchancement:Endpoints: [``botocore``] Improved endpoint resolution for clients with unknown regions

1.13.7

======

* api-change:``kendra``: [``botocore``] Update kendra client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``codeguru-reviewer``: [``botocore``] Update codeguru-reviewer client to latest version

1.13.6

======

* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
* api-change:``resourcegroupstaggingapi``: [``botocore``] Update resourcegroupstaggingapi client to latest version

1.13.5

======

* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
* api-change:``lightsail``: [``botocore``] Update lightsail client to latest version
* api-change:``route53``: [``botocore``] Update route53 client to latest version
* api-change:``appconfig``: [``botocore``] Update appconfig client to latest version
* api-change:``logs``: [``botocore``] Update logs client to latest version

1.13.4

======

* api-change:``codestar-connections``: [``botocore``] Update codestar-connections client to latest version
* api-change:``comprehendmedical``: [``botocore``] Update comprehendmedical client to latest version

1.13.3

======

* api-change:``support``: [``botocore``] Update support client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version

1.13.2

======

* api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``s3control``: [``botocore``] Update s3control client to latest version

1.13.1

======

* api-change:``efs``: [``botocore``] Update efs client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version

1.13.0

======

* api-change:``schemas``: [``botocore``] Update schemas client to latest version
* api-change:``iot``: [``botocore``] Update iot client to latest version
* api-change:``lambda``: [``botocore``] Update lambda client to latest version
* api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
* api-change:``iotevents``: [``botocore``] Update iotevents client to latest version
* feature:Exceptions: [``botocore``] Added support for parsing modeled exception fields.
* api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version

1.12.49

=======

* api-change:``iotsitewise``: [``botocore``] Update iotsitewise client to latest version
* api-change:``waf``: [``botocore``] Update waf client to latest version
* api-change:``waf-regional``: [``botocore``] Update waf-regional client to latest version
* api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
* api-change:``servicediscovery``: [``botocore``] Update servicediscovery client to latest version

1.12.48

=======

* api-change:``kinesisvideo``: [``botocore``] Update kinesisvideo client to latest version
* api-change:``kinesis-video-archived-media``: [``botocore``] Update kinesis-video-archived-media client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``route53``: [``botocore``] Update route53 client to latest version
* api-change:``ecr``: [``botocore``] Update ecr client to latest version
* api-change:``medialive``: [``botocore``] Update medialive client to latest version

1.12.47

=======

* bugfix:Resource: fixes `2361 <https://github.com/boto/boto3/issues/2361>`__
* api-change:``dms``: [``botocore``] Update dms client to latest version
* api-change:``dataexchange``: [``botocore``] Update dataexchange client to latest version
* api-change:``accessanalyzer``: [``botocore``] Update accessanalyzer client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version

1.12.46

=======

* api-change:``iot``: [``botocore``] Update iot client to latest version
* api-change:``dlm``: [``botocore``] Update dlm client to latest version
* api-change:``elastic-inference``: [``botocore``] Update elastic-inference client to latest version

1.12.45

=======

* api-change:``mediapackage-vod``: [``botocore``] Update mediapackage-vod client to latest version
* api-change:``application-autoscaling``: [``botocore``] Update application-autoscaling client to latest version
* api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``ram``: [``botocore``] Update ram client to latest version
* api-change:``pinpoint``: [``botocore``] Update pinpoint client to latest version
* api-change:``transfer``: [``botocore``] Update transfer client to latest version
* api-change:``firehose``: [``botocore``] Update firehose client to latest version

1.12.44

=======

* api-change:``codeguru-reviewer``: [``botocore``] Update codeguru-reviewer client to latest version
* api-change:``redshift``: [``botocore``] Update redshift client to latest version
* api-change:``es``: [``botocore``] Update es client to latest version
* api-change:``fms``: [``botocore``] Update fms client to latest version

1.12.43

=======

* api-change:``route53domains``: [``botocore``] Update route53domains client to latest version
* api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
* api-change:``ce``: [``botocore``] Update ce client to latest version
* api-change:``emr``: [``botocore``] Update emr client to latest version

1.12.42

=======

* api-change:``ce``: [``botocore``] Update ce client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``synthetics``: [``botocore``] Update synthetics client to latest version
* api-change:``apigatewayv2``: [``botocore``] Update apigatewayv2 client to latest version
* api-change:``iotevents``: [``botocore``] Update iotevents client to latest version

1.12.41

=======

* api-change:``opsworkscm``: [``botocore``] Update opsworkscm client to latest version
* api-change:``frauddetector``: [``botocore``] Update frauddetector client to latest version

1.12.40

=======

* api-change:``iotevents``: [``botocore``] Update iotevents client to latest version
* api-change:``imagebuilder``: [``botocore``] Update imagebuilder client to latest version
* api-change:``securityhub``: [``botocore``] Update securityhub client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``sagemaker-a2i-runtime``: [``botocore``] Update sagemaker-a2i-runtime client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``snowball``: [``botocore``] Update snowball client to latest version
* api-change:``lambda``: [``botocore``] Update lambda client to latest version
* api-change:``mgh``: [``botocore``] Update mgh client to latest version
* api-change:``mediatailor``: [``botocore``] Update mediatailor client to latest version
* api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
Links

Update botocore from 1.15.39 to 1.17.53.

Changelog

1.17.53

=======

* api-change:``codeguru-reviewer``: Update codeguru-reviewer client to latest version
* api-change:``securityhub``: Update securityhub client to latest version

1.17.52

=======

* api-change:``sqs``: Update sqs client to latest version
* api-change:``backup``: Update backup client to latest version
* api-change:``cloudfront``: Update cloudfront client to latest version
* api-change:``ec2``: Update ec2 client to latest version

1.17.51

=======

* api-change:``cur``: Update cur client to latest version
* api-change:``route53``: Update route53 client to latest version
* api-change:``cloudfront``: Update cloudfront client to latest version
* api-change:``emr``: Update emr client to latest version

1.17.50

=======

* api-change:``ec2``: Update ec2 client to latest version
* api-change:``redshift``: Update redshift client to latest version
* api-change:``gamelift``: Update gamelift client to latest version
* api-change:``mediaconvert``: Update mediaconvert client to latest version

1.17.49

=======

* api-change:``appflow``: Update appflow client to latest version
* api-change:``route53resolver``: Update route53resolver client to latest version

1.17.48

=======

* api-change:``iotsitewise``: Update iotsitewise client to latest version
* api-change:``xray``: Update xray client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``logs``: Update logs client to latest version
* api-change:``dms``: Update dms client to latest version
* api-change:``ssm``: Update ssm client to latest version
* api-change:``kafka``: Update kafka client to latest version

1.17.47

=======

* api-change:``chime``: Update chime client to latest version
* api-change:``fsx``: Update fsx client to latest version
* api-change:``apigatewayv2``: Update apigatewayv2 client to latest version

1.17.46

=======

* api-change:``lakeformation``: Update lakeformation client to latest version
* api-change:``storagegateway``: Update storagegateway client to latest version
* api-change:``ivs``: Update ivs client to latest version
* api-change:``organizations``: Update organizations client to latest version
* api-change:``servicecatalog``: Update servicecatalog client to latest version

1.17.45

=======

* api-change:``identitystore``: Update identitystore client to latest version
* api-change:``codebuild``: Update codebuild client to latest version
* api-change:``cognito-idp``: Update cognito-idp client to latest version
* api-change:``datasync``: Update datasync client to latest version
* api-change:``sesv2``: Update sesv2 client to latest version
* api-change:``securityhub``: Update securityhub client to latest version

1.17.44

=======

* api-change:``elbv2``: Update elbv2 client to latest version
* api-change:``quicksight``: Update quicksight client to latest version
* api-change:``kinesis``: Update kinesis client to latest version
* api-change:``ecr``: Update ecr client to latest version
* api-change:``acm``: Update acm client to latest version
* api-change:``robomaker``: Update robomaker client to latest version
* api-change:``elb``: Update elb client to latest version
* api-change:``acm-pca``: Update acm-pca client to latest version

1.17.43

=======

* api-change:``braket``: Update braket client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``license-manager``: Update license-manager client to latest version
* api-change:``sagemaker``: Update sagemaker client to latest version
* api-change:``appstream``: Update appstream client to latest version

1.17.42

=======

* api-change:``rds``: Update rds client to latest version
* api-change:``eks``: Update eks client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``macie2``: Update macie2 client to latest version
* api-change:``cognito-idp``: Update cognito-idp client to latest version
* api-change:``appsync``: Update appsync client to latest version
* api-change:``braket``: Update braket client to latest version

1.17.41

=======

* api-change:``transfer``: Update transfer client to latest version
* api-change:``comprehend``: Update comprehend client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``fsx``: Update fsx client to latest version
* api-change:``workspaces``: Update workspaces client to latest version
* api-change:``lambda``: Update lambda client to latest version
* api-change:``iot``: Update iot client to latest version
* api-change:``cloud9``: Update cloud9 client to latest version

1.17.40

=======

* api-change:``organizations``: Update organizations client to latest version
* api-change:``s3``: Update s3 client to latest version
* api-change:``lambda``: Update lambda client to latest version
* api-change:``ec2``: Update ec2 client to latest version

1.17.39

=======

* api-change:``savingsplans``: Update savingsplans client to latest version
* api-change:``glue``: Update glue client to latest version
* api-change:``ec2``: Update ec2 client to latest version

1.17.38

=======

* api-change:``sms``: Update sms client to latest version
* api-change:``organizations``: Update organizations client to latest version
* api-change:``glue``: Update glue client to latest version
* api-change:``s3``: Update s3 client to latest version

1.17.37

=======

* api-change:``lex-runtime``: Update lex-runtime client to latest version
* api-change:``personalize``: Update personalize client to latest version
* api-change:``personalize-runtime``: Update personalize-runtime client to latest version
* api-change:``lex-models``: Update lex-models client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``personalize-events``: Update personalize-events client to latest version

1.17.36

=======

* api-change:``fsx``: Update fsx client to latest version
@TrueBrain TrueBrain merged commit 08dc0cd into master Sep 2, 2020
5 checks passed
5 checks passed
Docker build
Details
Flake8
Details
Black
Details
Regression
Details
LGTM analysis: Python No code changes detected
Details
@TrueBrain TrueBrain deleted the pyup-initial-update branch Sep 2, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants
You can’t perform that action at this time.